echo - 制作此功能只是帮助一些没有三方recovery的用户，在刷了某些模块导致无法开机，从而尝试移除所有Magisk模块来确定是否能够正常开机
echo.
echo - 如果设备卡在第一屏、也就是看不到开机动画页面，本功能无法使用
echo - 只有当设备卡在第二屏、也就是一直卡在开机动画页面状态下且已连接到设备才可以使用，前提是需要在设备正常开机的状态下，开启USB调试并在出现授权USB调试弹窗窗时点击确定才可以使用
echo.
echo - 温馨提示：
echo - 请在正常开机状态下使用adb功能区的 --^> 9.为Shell申请ROOT权限 功能授权「Shell」应用ROOT权限，否则无法将/data/adb/post-fs-data.d/和/data/adb/service.d里的脚本权限设置为0，会一直卡在申请ROOT权限
echo.

echo - 您确定要移除所有Magisk模块吗，执行后会无法恢复哦?⊙?⊙！
pause
adb shell magisk --remove-modules
adb shell magisk su -c 'chmod 000 /data/adb/post-fs-data.d/* /data/adb/service.d/*'
